package com.qmth.qrzk.repository.service.query;

import java.util.Date;

public class QuestionQueryParams extends QueryParams {
	private Integer id;							//编号
	private String questionNo;					//试题信息表
	private Integer courseId;					//课程id
	private String courseName;					//课程名称
	private Integer typeId;						//题型id
	private String typeName;                    //题型名称
	private Integer bookId;						//教材id
	private String bookName;					//将bookId转换成对应的bookName
	private Integer batchId;					//批次id
	private String estimateDifficultyCode;		//预计难度
	private String estimateDifficultyText;		//预计难度显示值
	private String measuredDifficultyCode;		//实测难度
	private String measuredDifficultyText;		//实测难度显示值
	private String gradeCode;					//层次
	private String gradeText;					//层次显示值
	private String abilityCode;					//能力要求
	private String abilityText;					//能力要求显示值
	private String chapter;						//章
	private String section;						//节
	private String item;						//目
	private String pageStr;						//页，为了不和分页类里面的page字段冲突，改成了pageStr
	private Integer score;						//满分值
	private String body;						//题干
	private String bodySummary;					//题干摘要
	private String answer;						//答案
	private String answerSummary;				//答案摘要
	private String answerSheet;					//题卡
	private String statusCode;					//状态
	private Date enableTime;					//启用日期
	private Date setTime;						//命题时间
	private Integer setBy;						//命题人
	private String setTeacherName;				//命题人名称
	private String remark;						//备注
	private Date createdTime;					//创建日期
	private Integer createdBy;					//创建人
	private Date updatedTime;					//更新日期
	private Integer updatedBy;					//更新人
	private Integer version;					//版本
	private Integer importId;					//导入版本id
	private String keyword;						//查询关键字

	private int isCheck;						//是否选中 0表示未选中 ,1表示选中
	private Integer count;						//题量的count
	private String assessmentDemand;			//考核要求
	private String assessmentDemandText;		//考核要求显示值
	
	private Integer curUserId;					//当前操作人
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getQuestionNo() {
		return questionNo;
	}
	public void setQuestionNo(String questionNo) {
		this.questionNo = questionNo;
	}
	public Integer getCourseId() {
		return courseId;
	}
	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getTypeId() {
		return typeId;
	}
	public void setTypeId(Integer typeId) {
		this.typeId = typeId;
	}
	public String getTypeName() {
		return typeName;
	}
	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	public Integer getBookId() {
		return bookId;
	}
	public void setBookId(Integer bookId) {
		this.bookId = bookId;
	}
	public String getBookName() {
		return bookName;
	}
	public void setBookName(String bookName) {
		this.bookName = bookName;
	}
	public Integer getBatchId() {
		return batchId;
	}
	public void setBatchId(Integer batchId) {
		this.batchId = batchId;
	}
	public String getEstimateDifficultyCode() {
		return estimateDifficultyCode;
	}
	public void setEstimateDifficultyCode(String estimateDifficultyCode) {
		this.estimateDifficultyCode = estimateDifficultyCode;
	}
	public String getEstimateDifficultyText() {
		return estimateDifficultyText;
	}
	public void setEstimateDifficultyText(String estimateDifficultyText) {
		this.estimateDifficultyText = estimateDifficultyText;
	}
	public String getMeasuredDifficultyCode() {
		return measuredDifficultyCode;
	}
	public void setMeasuredDifficultyCode(String measuredDifficultyCode) {
		this.measuredDifficultyCode = measuredDifficultyCode;
	}
	public String getMeasuredDifficultyText() {
		return measuredDifficultyText;
	}
	public void setMeasuredDifficultyText(String measuredDifficultyText) {
		this.measuredDifficultyText = measuredDifficultyText;
	}
	public String getGradeCode() {
		return gradeCode;
	}
	public void setGradeCode(String gradeCode) {
		this.gradeCode = gradeCode;
	}
	public String getGradeText() {
		return gradeText;
	}
	public void setGradeText(String gradeText) {
		this.gradeText = gradeText;
	}
	public String getAbilityCode() {
		return abilityCode;
	}
	public void setAbilityCode(String abilityCode) {
		this.abilityCode = abilityCode;
	}
	public String getAbilityText() {
		return abilityText;
	}
	public void setAbilityText(String abilityText) {
		this.abilityText = abilityText;
	}
	public String getChapter() {
		return chapter;
	}
	public void setChapter(String chapter) {
		this.chapter = chapter;
	}
	public String getSection() {
		return section;
	}
	public void setSection(String section) {
		this.section = section;
	}
	public String getItem() {
		return item;
	}
	public void setItem(String item) {
		this.item = item;
	}
	public Integer getScore() {
		return score;
	}
	public void setScore(Integer score) {
		this.score = score;
	}
	public String getBody() {
		return body;
	}
	public void setBody(String body) {
		this.body = body;
	}
	public String getBodySummary() {
		return bodySummary;
	}
	public void setBodySummary(String bodySummary) {
		this.bodySummary = bodySummary;
	}
	public String getAnswer() {
		return answer;
	}
	public void setAnswer(String answer) {
		this.answer = answer;
	}
	public String getAnswerSummary() {
		return answerSummary;
	}
	public void setAnswerSummary(String answerSummary) {
		this.answerSummary = answerSummary;
	}
	public String getAnswerSheet() {
		return answerSheet;
	}
	public void setAnswerSheet(String answerSheet) {
		this.answerSheet = answerSheet;
	}
	public String getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}
	public Date getEnableTime() {
		return enableTime;
	}
	public void setEnableTime(Date enableTime) {
		this.enableTime = enableTime;
	}
	public Date getSetTime() {
		return setTime;
	}
	public void setSetTime(Date setTime) {
		this.setTime = setTime;
	}
	public Integer getSetBy() {
		return setBy;
	}
	public void setSetBy(Integer setBy) {
		this.setBy = setBy;
	}
	public String getSetTeacherName() {
		return setTeacherName;
	}
	public void setSetTeacherName(String setTeacherName) {
		this.setTeacherName = setTeacherName;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	public Integer getVersion() {
		return version;
	}
	public void setVersion(Integer version) {
		this.version = version;
	}
	public Integer getImportId() {
		return importId;
	}
	public void setImportId(Integer importId) {
		this.importId = importId;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public Integer getCount() {
		return count;
	}
	public void setCount(Integer count) {
		this.count = count;
	}
	public String getAssessmentDemand() {
		return assessmentDemand;
	}
	public void setAssessmentDemand(String assessmentDemand) {
		this.assessmentDemand = assessmentDemand;
	}
	public String getAssessmentDemandText() {
		return assessmentDemandText;
	}
	public void setAssessmentDemandText(String assessmentDemandText) {
		this.assessmentDemandText = assessmentDemandText;
	}
	public String getPageStr() {
		return pageStr;
	}
	public void setPageStr(String pageStr) {
		this.pageStr = pageStr;
	}
	public int getIsCheck() {
		return isCheck;
	}
	public void setIsCheck(int isCheck) {
		this.isCheck = isCheck;
	}
	public Integer getCurUserId() {
		return curUserId;
	}
	public void setCurUserId(Integer curUserId) {
		this.curUserId = curUserId;
	}
	
}
